System.Web 2.0.0.0 System.Web.UI.StateManagedCollection

The class is used to store and manage a collection of objects in a control. The control uses the class as the underlying data type of the property.

The property provides additional style choices in addition to the and properties. The first style in the collection corresponds to the submenu style for the first level of the menu. The second style in the collection corresponds to the submenu style for the second level of the menu, and so on. The property is most often used to generate a navigation menu, like a Web site map, where menu items at a certain level should have the same appearance, regardless of whether they have submenus.

The class inherits most of its members from the class. For more information on the inherited members, see the collection.

Represents a collection of objects in a control.

- Method
  System.Int32 ``

  The and methods are called before the instance is added to the collection, and the method is called after the instance is added.

  Adds a submenu style to the collection.

  The position in the collection at which the instance was inserted.

  The instance to add to the collection. 2.0.0.0
- Method
  System.Boolean ``

  The method is called to validate the parameter before the collection is checked.

  Determines whether a collection contains a specific instance.

  true if the instance is found in the collection; otherwise, false. If null is passed as the parameter, false is returned.

  The instance to locate in the collection. 2.0.0.0
- Method
  System.Void `` `` To be added.

  The objects are copied to the destination array in the same order in which the enumerator iterates through the collection.

  Copies the contents of a collection to an array, starting at a specified array index.

  The zero-based index in at which copying begins. 2.0.0.0
- Method
  System.Object ``

  The method is a helper function that is used to create an of the data type that corresponds to the specified index. The index is often determined by using the method to create an array of supported data types and then searching the array for the desired data type.

  The parameter is not used in this implementation of the method and is ignored. You should always pass in null for this parameter. This implementation of the method always returns an empty object.

  This method is used only by control developers.

  Creates an of the data type that corresponds to the specified index.

  Always returns an empty object.

  The index of the data type to create. This parameter is not used in this implementation of the method; therefore, you should always pass in null. 2.0.0.0
- Method
  System.Type[]

  The method is a helper function that is used to create an array of data types supported by the class. The array is often searched to determine the index of a desired data type. The index is then passed to the method to create an of the corresponding data type.

  This method is used only by control developers.

  Creates an array of objects that contains the supported data types of the class.

  An array of objects that contains the data types supported by the class.

  2.0.0.0
- Method
  System.Int32 ``

  The method is called to validate the parameter before the index is returned.

  Determines the location of a specified object in the collection.

  The index of the specified object if it is found in the list; otherwise, -1.

  The object to locate in the collection. 2.0.0.0
- Method
  System.Void `` ``

  If index is -1, is inserted at the beginning of the collection. If index equals the number of items in the collection, is appended to the end of the collection.

  The method is called to validate the style parameter before it is added to the collection. The method is called before the object is inserted into the collection, and the method is called after the object is inserted.

  Inserts a object into the collection at the specified index.

  The zero-based index at which the object should be inserted. The object to insert into the collection. 2.0.0.0
- Property
  System.Web.UI.WebControls.SubMenuStyle `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The method is called to validate the style parameter before it is used to locate the object to remove from the collection.

  The method is called before the object is removed, and the method is called after the object is removed from the collection.

  Removes the first occurrence of the specified object from the collection.

  The object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The method is called before the object is removed from the collection, and the method is called after the object is removed from the collection.

  Removes the object at the specified location.

  The zero-based index location of the object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The method is called internally by the , , and methods.

  Instructs a object contained by the collection to record its entire state to view state.

  The object that should serialize itself completely. 2.0.0.0